<?php

if (!defined('ABSPATH')) {
	exit;
}

// include(IPAY88_ONLINE_CREDIT_PLUGIN_PATH . '/lib/ipay88-online-credit-php/ipay88_online_credit/Indonesia.php');
// Settings for ipay88 Gateway
// Editor: Achmad Baihaqi

return array(

	//enabled
	'enabled' 		=> array(
		'title' 		=> __('Status', IPAY88_ONLINE_CREDIT_TEXT_DOMAIN),
		'type' 			=> 'checkbox',
		'label' 		=> __('Enable iPay88 Online Credit Payment', IPAY88_ONLINE_CREDIT_TEXT_DOMAIN),
		'default' 		=> 'yes'
	),

	//title
	'title' 		=> array(
		'title' 		=> __('Title', IPAY88_ONLINE_CREDIT_TEXT_DOMAIN),
		'type' 			=> 'text',
		'description' 	=> __('This controls the title which the user sees during checkout.', IPAY88_ONLINE_CREDIT_TEXT_DOMAIN),
		'default' 		=> __('online credit', IPAY88_ONLINE_CREDIT_TEXT_DOMAIN)
	),

	//desc
	'description' 	=> array(
		'title' 		=> __('Description', IPAY88_ONLINE_CREDIT_TEXT_DOMAIN),
		'type' 			=> 'textarea',
		'description' 	=> __('This controls the description which the user sees during checkout.', IPAY88_ONLINE_CREDIT_TEXT_DOMAIN),
		'default' 		=> __("Please note that your payment is processed by iPay88 Payment Gateway. The page will redirect to iPay88 payment page when you press Place Order button.", IPAY88_ONLINE_CREDIT_TEXT_DOMAIN)
	),

	//mcode
	'merchant_code' => array(
		'title' 		=> __('Merchant Code', IPAY88_ONLINE_CREDIT_TEXT_DOMAIN),
		'type' 			=> 'text',
		'description'	=> __('The Merchant Code provided by iPay88 and used to uniquely identify the Merchant.', IPAY88_ONLINE_CREDIT_TEXT_DOMAIN),
		'default' 		=> ''
	),

	//mkey
	'merchant_key' 	=> array(
		'title' 		=> __('Merchant Key', IPAY88_ONLINE_CREDIT_TEXT_DOMAIN),
		'type' 			=> 'text',
		'description' 	=> __('Provided by iPay88 and shared between iPay88 and merchant only.', IPAY88_ONLINE_CREDIT_TEXT_DOMAIN), 'default' 		=> ''
	),

	'seller_email' 	=> array(
		'title' 		=> __('Seller Email', IPAY88_ONLINE_CREDIT_TEXT_DOMAIN),
		'type' 			=> 'text',
		'description' 	=> __('Seller email information.', IPAY88_ONLINE_CREDIT_TEXT_DOMAIN), 'default' 		=> ''
	),

	'seller_first_name' 	=> array(
		'title' 		=> __('Seller First Name', IPAY88_ONLINE_CREDIT_TEXT_DOMAIN),
		'type' 			=> 'text',
		'description' 	=> __('Seller first name information.', IPAY88_ONLINE_CREDIT_TEXT_DOMAIN), 'default' 		=> ''
	),

	'seller_last_name' 	=> array(
		'title' 		=> __('Seller Last Name', IPAY88_ONLINE_CREDIT_TEXT_DOMAIN),
		'type' 			=> 'text',
		'description' 	=> __('Seller last name information.', IPAY88_ONLINE_CREDIT_TEXT_DOMAIN), 'default' 		=> ''
	),

	'seller_phone' 	=> array(
		'title' 		=> __('Seller Phone Number', IPAY88_ONLINE_CREDIT_TEXT_DOMAIN),
		'type' 			=> 'text',
		'description' 	=> __('Seller phone number information.', IPAY88_ONLINE_CREDIT_TEXT_DOMAIN), 'default' 		=> ''
	),

	ipay88_Indonesia_152::PAYMENT_METHOD_KREDIVO_CONFIG =>
	array(
		'title' 		=> __(ipay88_Indonesia_152::PAYMENT_METHOD_KREDIVO_CONFIG_LABEL, IPAY88_ONLINE_CREDIT_TEXT_DOMAIN),
		'type' 			=> 'select',
		'description' 	=> '',
		'options' 		=> array('1' => 'Yes', '0' => 'No'),
		'default' 		=> '1'
	),

	ipay88_Indonesia_152::PAYMENT_METHOD_INDODANA_CONFIG =>
	array(
		'title' 		=> __(ipay88_Indonesia_152::PAYMENT_METHOD_INDODANA_CONFIG_LABEL, IPAY88_ONLINE_CREDIT_TEXT_DOMAIN),
		'type' 			=> 'select',
		'description' 	=> '',
		'options' 		=> array('1' => 'Yes', '0' => 'No'),
		'default' 		=> '1'
	),

	ipay88_Indonesia_152::PAYMENT_METHOD_AKULAKU_CONFIG =>
	array(
		'title' 		=> __(ipay88_Indonesia_152::PAYMENT_METHOD_AKULAKU_CONFIG_LABEL, IPAY88_ONLINE_CREDIT_TEXT_DOMAIN),
		'type' 			=> 'select',
		'description' 	=> '',
		'options' 		=> array('1' => 'Yes', '0' => 'No'),
		'default' 		=> '1'
	),

	//sandbox
	'test_mode' 	=> array(
		'title' 		=> __('Test Mode (Sandbox)', IPAY88_ONLINE_CREDIT_TEXT_DOMAIN),
		'label'			=> __('Enable Sandbox', 'wc_ipay88_atm'),
		'type'			=> 'checkbox',
		'description' 	=> __('Sandbox mode provides you with a chance to test your gateway integration with iPay88. The payment requests will be send to the iPay88 sandbox URL.<br/>Disable to start accepting Live payments.', IPAY88_ONLINE_CREDIT_TEXT_DOMAIN),
		'default' 		=> 'yes'
	)

);
